Rated 2 out of 5 stars

I can`t install it because is not Compatible with Firefox 3.6... ¿?¿?¿??¿?

This review is for a previous version of the add-on (3.6.05.02.10). 

It works!

Click on the view all versions button and you'll see it.It's still in sandbox.